Bug 88548 - 2.4.20-8 fails to boot under LinuxBIOS; 2.4.20 from kernel.org works fine
Summary: 2.4.20-8 fails to boot under LinuxBIOS; 2.4.20 from kernel.org works fine
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-10 20:19 UTC by ron minnich
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 13:19:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ron minnich 2003-04-10 20:19:00 UTC
Description of problem:
The redhat version of linux (2.4.20-8) can not boot under LinuxBIOS


Version-Release number of selected component (if applicable):

2.4.20-8
How reproducible:

Build a linx kernel; load onto disk; try to boot it from a system running LinuxBIOS
Steps to Reproduce:
1.
2.
3.
    
Actual results:
Kenrel fails to boot

Expected results:

Kernel boots. 

2.4.20 from Kernel.org works fine here at LANL and has for months. Redhat changed the GDT layout in 2.4.20-8 and it will not boot under linuxbios.
Additional info:

Comment 1 Arjan van de Ven 2003-04-11 13:19:26 UTC
yes the GDT layout changed for NPTL.
LinuxBIOS ought to be able to cope with GDT layouts of all kinds....


Note You need to log in before you can comment on or make changes to this bug.